> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch All Payouts

> Fetch All Payouts using API.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
  <span>🇸🇬 Singapore</span>
  <span>🇺🇸 United States</span>
</div>

Use this endpoint to retrieve the details of all the available payouts in the system.

To understand the status of the payouts, refer to [Payout Status Details](/docs/us/errors/x/payout-status-details).

<Warning>
  **Watch Out!**

  We do not recommend using the Fetch Payout API to check the status of the payouts. Instead, we recommend that you subscribe to our [Webhooks](/docs/us/x/apis/subscribe) to get instant notifications. Whenever the status of your payouts change, you will be notified via these webhooks.
</Warning>

<RequestExample>
  ```bash Curl theme={null}
  curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \
      -X GET https://api.razorpay.com/v1/payouts?account_number=7878780080316316
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    "entity": "collection",
    "count": 2,
    "items": [
      {
        "id": "pout_00000000000001",
        "entity": "payout",
        "fund_account_id": "fa_00000000000001",
        "amount": 1000000,
        "currency": "INR",
        "notes": {
          "notes_key_1": "Tea, Earl Grey, Hot",
          "notes_key_2": "Tea, Earl Grey… decaf."
        },
        "fees": 590,
        "tax": 90,
        "status": "processed",
        "purpose": "payout",
        "utr": null,
        "mode": "NEFT",
        "reference_id": "Acme Transaction ID 12345",
        "narration": "Acme Corp Fund Transfer",
        "debit_account_number": "002281300012871",
        "batch_id": null,
        "status_details": {
            "description": "Payout is processed and the money has been credited into the beneficiaries account",
            "source": "beneficiary_bank",
            "reason": "payout_processed"
          }
        "created_at": 1545382870,
        "fee_type": "",
      },
      {
        "id": "pout_00000000000002",
        "entity": "payout",
        "fund_account_id": "fa_00000000000002",
        "amount": 1000000,
        "currency": "INR",
        "notes": {
          "notes_key_1": "Tea, Earl Grey, Hot",
          "notes_key_2": "Tea, Earl Grey… decaf."
        },
        "fees": 590,
        "tax": 90,
        "status": "reversed",
        "purpose": "refund",
        "utr": null,
        "mode": "NEFT",
        "reference_id": "Acme Transaction ID 123456",
        "narration": "Acme Corp Fund Transfer",
        "debit_account_number": "002281300012999",
        "batch_id": null,
        "status_details": {
          "description": "The NEFT 24*7 limits for your account has been exhausted. Please retry after sometime",
          "source": "business",
          "reason": "amount_limit_exhausted"
        }
        "created_at": 1545382870,
        "fee_type": "",
      }
    ]
  }
  ```
</ResponseExample>

## Query Parameters

<ParamField query="account_number" type="string" required>
  The account from which the payouts were done. For example, `7878780080316316`.

  * Pass your Customer Identifier(RazorpayX Lite number) if money was deducted from it.
  * Pass your Current Account number if  money was deducted from your Current Account.
  * This is a numeric or alphanumeric value

  <Warning>
    **Watch Out!**

    * To view your Customer Identifier, log in to your [**RazorpayX Dashboard**](https://x.razorpay.com/auth/?intent=current_account) and go to **My Account & Settings → Banking → Customer Identifier**.
    * Customer Identifier value is different for Test Mode and Live Mode.
    * RazorpayX Lite is currently not available for new merchants. To set up a new RazorpayX account, refer to [Current Account](/docs/us/x/account-types/current-account).
  </Warning>
</ParamField>

<ParamField query="contact_id" type="string">
  The unique identifier of the contact for which you want to fetch payouts. For example, `cont_00000000000001`.
</ParamField>

<ParamField query="fund_account_id" type="string">
  The unique identifier of the fund account for which you want to fetch payouts. For example, `fa_00000000000001`.
</ParamField>

<ParamField query="mode" type="string">
  The mode for which payouts are to be fetched. You can use one of the following payout modes:

  * `NEFT`
  * `RTGS`
  * `IMPS`
  * `UPI`
  * `card`
  * `amazonpay` <br />

  The payout modes are case-sensitive. Ensure payout modes are entered in upper case.
</ParamField>

<ParamField query="reference_id" type="string">
  Maximum length is 40 characters. The user-generated reference for which payouts are to be fetched. For example, `Acme Transaction ID 12345`.
</ParamField>

<ParamField query="status" type="string">
  The payout status. Possible payout states:

  * `queued`
  * `pending` (if you have [Approval Workflow](/docs/us/x/manage-teams/approval-workflow) enabled)
  * `rejected` (if you have [Approval Workflow](/docs/us/x/manage-teams/approval-workflow) enabled)
  * `processing`
  * `processed`
  * `cancelled`
  * `reversed`
  * `failed`

  Know more about [Payout statuses](/docs/us/x/payouts/states-life-cycle) and [Payout Status Details](/docs/us/errors/x/payout-status-details).
</ParamField>

<ParamField query="from" type="integer">
  Timestamp, in Unix, from when you want to fetch payouts.
</ParamField>

<ParamField query="to" type="integer">
  Timestamp, in Unix, till when you want to fetch payouts.
</ParamField>

<ParamField query="count" type="integer">
  Number of payouts to be fetched. Default value is `10`. Maximum value is `100`. This can be used for pagination, in combination with `skip`.
</ParamField>

<ParamField query="skip" type="integer">
  Numbers of payouts to be skipped. Default value is `0`. This can be used for pagination, in combination with `count`.
</ParamField>

## Response Parameters

<ResponseField name="id" type="string">
  The unique identifier of the payout. For example, `pout_00000000000001`.
</ResponseField>

<ResponseField name="entity" type="string">
  The entity being created. Here, it will be `payout`.
</ResponseField>

<ResponseField name="fund_account_id" type="string">
  The unique identifier linked to the fund account. For example, `fa_00000000000001`.
</ResponseField>

<ResponseField name="amount" type="integer">
  The payout amount, in paise. For example, if you want to transfer ₹10,000, pass `1000000`. Minimum value `100`. <br />The value passed here does not include fees and tax. Fees and tax, if any, are deducted from your account balance.
</ResponseField>

<ResponseField name="currency" type="string">
  The payout's currency. Here, it is `INR`.
</ResponseField>

<ResponseField name="notes" type="array of objects">
  Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, `"note_key": "Beam me up Scotty”`.
</ResponseField>

<ResponseField name="fees" type="integer">
  The fees for the payout. This value is returned only when the payout moves to the `processing` state. For example, `5`.
</ResponseField>

<ResponseField name="tax" type="integer">
  The tax that is applicable for the fee being charged. This value is returned only when the payout moves to the `processing` state. For example, `1`.
</ResponseField>

<ResponseField name="status" type="string">
  The status of the payout. Possible payout states:

  * `queued`
  * `pending` (if you have [Approval Workflow](/docs/us/x/manage-teams/approval-workflow) enabled)
  * `rejected` (if you have [Approval Workflow](/docs/us/x/manage-teams/approval-workflow) enabled)
  * `processing`
  * `processed`
  * `cancelled`
  * `reversed`
  * `failed`

  Know more about [Payout States](/docs/us/x/payouts/states-life-cycle) and [Payout Status Details](/docs/us/errors/x/payout-status-details).
</ResponseField>

<ResponseField name="utr" type="string">
  The unique transaction number linked to a payout. For example, `HDFCN00000000001`.
</ResponseField>

<ResponseField name="mode" type="string">
  The mode used to make the payout. Available modes:

  * `NEFT`
  * `RTGS`
  * `IMPS` <br />

  The payout modes are case-sensitive.
</ResponseField>

<ResponseField name="purpose" type="string">
  The purpose of the payout that is being created. The following classifications are available in the system by default:

  * `refund`
  * `cashback`
  * `payout`
  * `salary`
  * `utility bill`
  * `vendor bill` <br />

  Additional purposes for payouts can be created via the [Dashboard](https://x.razorpay.com/) and then used in the API. However, it is not possible to create a new purpose for the payout via the API.
</ResponseField>

<ResponseField name="reference_id" type="string">
  Maximum length is 40 characters. A user-generated reference given to the payout. For example, `Acme Transaction ID 12345`. You can use this field to store your own transaction ID, if any.
</ResponseField>

<ResponseField name="debit_account_number" type="string">
  The account from which the payout was processed. For example, `002281300012871`.
</ResponseField>

<ResponseField name="narration" type="string">
  Custom note that also appears on the bank statement. Maximum length 30 characters. Allowed characters: `a-z`, `A-Z`, `0-9` and space. <br /> <br /> If no value is passed for this parameter, it defaults to the Merchant Billing Label. Ensure that the most important text forms the first 9 characters as banks may truncate the rest as per their standards.
</ResponseField>

<ResponseField name="batch_id" type="string">
  This value is returned if the contact was created as part of a bulk upload. For example, `batch_00000000000001`.
</ResponseField>

<ResponseField name="status_details" type="object">
  This parameter returns the current status of the payout. For example, `IMPS is not enabled on beneficiary account, Retry with different mode.`
</ResponseField>

<ResponseField name="description" type="string">
  A description for the error. For example, `IMPS is not enabled on beneficiary account, please retry with different mode`.
</ResponseField>

<ResponseField name="source" type="string">
  Possible values:

  * `gateway`: Technical error at Razorpay Partner bank.
  * `beneficiary_bank`: Technical error at beneficiary bank.
  * `business`: Merchant action required.
  * `internal`: Technical error at Razorpay's server.
</ResponseField>

<ResponseField name="reason" type="string">
  The error reason. For example, `imps_not_allowed`. Know more about [Payout Status Details and Next Steps](/docs/us/errors/x/payout-status-details).
</ResponseField>

<ResponseField name="created_at" type="integer">
  Indicates the Unix timestamp when this payout was created.
</ResponseField>

<ResponseField name="fee_type" type="string">
  Indicates the fee type charged for the payout. Possible values is `free_payout`.
</ResponseField>
